/* eslint-disable */
// @ts-ignore
import { request } from '@/utils/request';

/** 获取申报详情 POST /api/ParkBountyApply/GetParkBountyApplyDetail */
export async function getParkBountyApplyDetail(
  body: API.GetParkBountyApplyInfoInput,
  options?: API.RequestConfig
) {
  return request<API.GetParkBountyApplyInfoOutput>(
    '/api/ParkBountyApply/GetParkBountyApplyDetail',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 获取奖励金发放列表 POST /api/ParkBountyApply/GetParkBountyApplyList */
export async function getParkBountyApplyList(
  body: API.GetParkBountyApplyListInput,
  options?: API.RequestConfig
) {
  return request<API.GetParkBountyApplyListOutputPageOutput>(
    '/api/ParkBountyApply/GetParkBountyApplyList',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 获取入账详情 POST /api/ParkBountyApply/GetParkBountyApplyTransferDetail */
export async function getParkBountyApplyTransferDetail(
  body: API.GetParkBountyApplyTransferInfoInput,
  options?: API.RequestConfig
) {
  return request<API.GetParkBountyApplyTransferInfoOutput>(
    '/api/ParkBountyApply/GetParkBountyApplyTransferDetail',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 批量入账 POST /api/ParkBountyApply/ParkBountyApplyBatchTransfer */
export async function parkBountyApplyBatchTransfer(
  body: API.ParkBountyApplyBatchTransferInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/ParkBountyApply/ParkBountyApplyBatchTransfer', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 上传发票凭证 POST /api/ParkBountyApply/ParkBountyApplySettle */
export async function parkBountyApplySettle(
  body: API.ParkBountyApplySettleInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/ParkBountyApply/ParkBountyApplySettle', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 奖励金入账 POST /api/ParkBountyApply/ParkBountyApplyTransfer */
export async function parkBountyApplyTransfer(
  body: API.ParkBountyApplyTransferInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/ParkBountyApply/ParkBountyApplyTransfer', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 上传凭证 POST /api/ParkBountyApply/ParkBountyApplyTransferFile */
export async function parkBountyApplyTransferFile(
  body: API.ParkBountyApplyTransferFileInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/ParkBountyApply/ParkBountyApplyTransferFile', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}
